#include "main.h"


Cmenu::Cmenu()
{

	IsLoaded=false;

}

Cmenu::~Cmenu()
{

	glDeleteTextures(1,&background);
	FSOUND_Sample_Free(sound);;

}


void Cmenu::loadbackground(string filename)
{

	if(IsLoaded){return;}
	IsLoaded = true;

	SDL_Surface *temp;

	glGenTextures (1, & background);
    glBindTexture (GL_TEXTURE_2D, background);
    // Paramtrage de la texture.
    glTexParameteri (GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR);
    glTexParameteri (GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT);
    glTexParameteri (GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);
    glTexParameteri (GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);

    temp = IMG_Load(filename.c_str());
	if(temp==NULL)
    {
        std::cerr << "Erreur dans le chargement de l'image du menu" << std::endl;
        exit(3);
    }

    // Jonction entre OpenGL et SDL.
    glTexImage2D (GL_TEXTURE_2D, 0, GL_RGB, temp->w, temp->h, 0,
    GL_RGB, GL_UNSIGNED_BYTE, temp-> pixels);

	SDL_FreeSurface(temp);

}


void Cmenu::drawbackground(int X)
{

    glBindTexture (GL_TEXTURE_2D, background);

    glBegin(GL_QUADS);
		glTexCoord2f (0, 0) ; glVertex2i(0,0);
		glTexCoord2f (0, 1) ; glVertex2i(0,RESOLUTION_Y);
		glTexCoord2f (1, 1) ; glVertex2i(X,RESOLUTION_Y);
		glTexCoord2f (1, 0) ; glVertex2i(X,0);
	glEnd();

}

void Cmenu::loadsound(string filename)
{

	sound = FSOUND_Sample_Load( FSOUND_FREE, filename.c_str(), 0, 0, 0);
	if(sound==NULL)
    {
        std::cerr << "Erreur dans le chargement du son du menu" << std::endl;
        exit(4);
    }

}

void Cmenu::playsound()
{

	FSOUND_PlaySound (FSOUND_FREE, sound);

}
